struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lukasz Lenart <lukaszlen...@apache.org>
Subject Re: [ANN] Struts 2.3.12 GA release available
Date Fri, 15 Mar 2013 19:33:34 GMT
2013/3/15 Emi Lu <emilu@encs.concordia.ca>:
> Good morning list,
>
> To share with you the updates that I did for more than 300 jsp pages, in the
> new version, required="false" has be removed.
>
> <s:select name="search_info"
>          list="list_vlb"
>         listKey="bean_value"
>        listValue="bean_label"
>          multiple="true"
>              required="false" -----need to be removed!!!
>              theme="simple"
>              size="6"
>           cssStyle="color:#6677AA;font-weight:bold;"
> />
>
> The highlighted red border is good. But it seems that required="false" and
> required="true" returns the same warning message now :-(

required attribute was renamed to requiredLabel so if you want to
persist the same behaviour rename all the required="***" attributes
into requiredLabel="***". Thus changes is related to conflict with
HTML5 required attribute.


Regards
-- 
Łukasz
+ 48 606 323 122 http://www.lenart.org.pl/

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org


Mime
View raw message